Skip to main content

Attach or Detach IPv6 Address

Attaches a public IPv6 address to a load balancer, or detaches the existing one. The operation is selected by the action field in the request body (attach or detach). On success the full load balancer configuration context is returned with the updated host_target_ipv6 and is_ipv6_attached fields. IPv6 is only available for external load balancers.

PUT/api/v1/appliances/load-balancers/{lb_id}/ipv6/

Path parameters

  • lb_idPathintegerrequired

    The id of the load balancer, as returned by the List Load Balancers endpoint.

    • required
    • must be a valid load balancer (appliance) ID
    example12345

Query parameters

  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the load balancer.

    • required
    • non-empty string
    example{{location}}

Request body

application/json

object
actionstringrequiredattach | detach

Whether to attach a new public IPv6 address or detach the existing one.

exampleattach
  • required
  • one of: attach, detach

Responses

200Successful response
object

Returns the full load balancer configuration context with the updated IPv6 fields.

codeinteger
example200
dataobject

The load balancer configuration context (see the Update Load Balancer request body for the complete field reference).

errorsobject
messagestring
exampleIPv6 Attached successfully